Create Message Channel
Create a new message channel with specified participants
POST
/launcher/create-message-channel
Create a new message channel with specified participants
Header Parameters
X-Request-Nonce
string
optional
header
Random string identifier for request (for signature verification)
X-Request-Signature
string
optional
header
MD5 hash for request verification
Request Body required
application/jsonlauncherJwt
string
REQUIRED
otherParticipants
string[]
REQUIRED
Array of:
Responses
200
Successful response
application/json_id
string
name
string
chatPicture
string
createdAt
integer (int64)
updatedAt
integer (int64)
participants
object[]
Array of:
wallet
string
userGroup
integer
permissions
string[]
Array of:
gameId
string
400
Bad Request
401
Unauthorized
curl -X POST 'https://api.basement.fun/launcher/create-message-channel' \
-H 'Content-Type: application/json' \
-d '{
"launcherJwt": "string",
"otherParticipants": [
"string"
]
}'
const response = await fetch('https://api.basement.fun/launcher/create-message-channel', {
method: 'POST',
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"launcherJwt": "string",
"otherParticipants": [
"string"
]
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.post('https://api.basement.fun/launcher/create-message-channel', json={
"launcherJwt": "string",
"otherParticipants": [
"string"
]
})
print(response.json())
200
Response
{
"_id": "<string>",
"name": "<string>",
"chatPicture": "<string>",
"createdAt": 123,
"updatedAt": 123,
"participants": [
{
"wallet": "<string>",
"userGroup": 123,
"permissions": [
"<string>"
]
}
],
"gameId": "<string>"
}
POST
/launcher/create-message-channel